=== debian/changelog ===
pg-hint-plan-15 (1.5.2-1.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sat, 31 Aug 2024 13:20:17 +0200

pg-hint-plan-15 (1.5.2-1) unstable; urgency=medium

  * New upstream version 1.5.2.

 -- Christoph Berg <myon@debian.org>  Sat, 31 Aug 2024 13:20:17 +0200

pg-hint-plan-15 (1.5.1-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Mon, 15 Apr 2024 10:20:10 +0200
