=== debian/control ===
Source: pg-hint-plan-15
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper (>= 12),
 postgresql-all (>= 259~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/ossc-db/pg_hint_plan
Vcs-Browser: https://salsa.debian.org/postgresql/pg-hint-plan
Vcs-Git: https://salsa.debian.org/postgresql/pg-hint-plan.git -b 15

Package: postgresql-15-pg-hint-plan
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: support for optimizer hints in PostgreSQL
 PostgreSQL uses a cost-based optimizer that uses data statistics, not static
 rules. The planner (optimizer) estimates costs of each possible execution
 plans for a SQL statement, then executes the plan with the lowest cost. The
 planner does its best to select the best execution plan, but it is far from
 perfect, since it may not count some data properties, like correlation between
 columns.
 .
 pg_hint_plan makes it possible to tweak PostgreSQL execution plans using
 so-called "hints" in SQL comments, like /*+ SeqScan(a) */.
